import pygame

_font = None

def drawText(surface, text, x, y, background=True, centered=False, width=1, color=(0, 0, 0), bgColor=(204, 204, 204)):
    global _font
    if _font == None:
        _font = pygame.font.Font("misc/Vera.ttf", 10)
    
    bg = None
    if background:
        bg = bgColor
    else:
        bg = None
    txtSurf = _font.render(text, True, color)

    if centered:
        x += (width - txtSurf.get_width()) / 2
    
    surface.blit(txtSurf, (x, y))